Loading...
Searching...
No Matches
header.hpp File Reference
Private

slice header structure is defined here More...

`#include "../my_config.h"`
`#include "infinint.hpp"`
`#include "generic_file.hpp"`
`#include "user_interaction.hpp"`
`#include "tlv_list.hpp"`
`#include "label.hpp"`

Go to the source code of this file.

## Classes

class | libdar::header
| this class manages the header of each slice More...

## Namespaces

namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Typedefs

using | libdar::magic_number = U_32

## Enumerations

enum | flag_type { flag_type_terminal = 'T' , flag_type_non_terminal = 'N' , flag_type_located_at_end_of_slice = 'E' }

## Variables

const U_32 | libdar::SAUV_MAGIC_NUMBER = 123

## Detailed Description

slice header structure is defined here

Definition in file header.hpp.